This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 708332 - as7: Implement handling of system-propeties
as7: Implement handling of system-propeties
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.2
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Libor Zoubek
: Reopened
: 734141 (view as bug list)
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2011-05-27 06:19 EDT by Heiko W. Rupp
Modified: 2015-11-01 19:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:10:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-05-27 06:19:50 EDT
It must be possible to
- add
- edit
- delete
system properties at /system-property=*

See e.g. 
[domain@localhost:9999 system-property=java.net.preferIPv4Stack] pwd
/system-property=java.net.preferIPv4Stack
Comment 1 Heiko W. Rupp 2011-08-16 16:18:29 EDT
Not a blocker as at least standalone has no properties defined.
Comment 2 Heiko W. Rupp 2011-08-18 11:29:56 EDT
Support for reading of properties and paths is now in as7plugin branch.
Writing still needs to be done.
Comment 3 Charles Crouch 2011-10-04 14:07:09 EDT
Setting priority on enhancements to as7 plugin to high. They don't block the JON3 release, but will be needed for subsequent release
Comment 4 Heiko W. Rupp 2012-01-18 05:52:29 EST
bb1f35f5994 in master allows to edit system-properties and paths for standalone, host controller and hosts.
Comment 5 Libor Zoubek 2012-01-25 08:56:03 EST
verified on standalone 
on DomainController I always get https://bugzilla.redhat.com/show_bug.cgi?id=784590
Comment 6 Heiko W. Rupp 2012-02-08 10:20:44 EST
*** Bug 734141 has been marked as a duplicate of this bug. ***
Comment 7 Heiko W. Rupp 2012-02-14 12:16:40 EST
Mark as fixed - further work on comment #5 will be done in Bug 784590
Comment 8 Libor Zoubek 2012-02-28 09:13:10 EST
I've just tried to reproduce 784590 and I failed to add system property on DomainController on today's master build level with following result. 

Operation  returned unparsable JSON, <{"outcome":"success","result":{"step-1":{"outcome":"success"},"step-2":{"outcome":"success"},"server-groups":{"main-server-group":{"server-one":{"host":"master","response":{"outcome":"success","result":{"step-1":{"outcome":"success","response-headers":{"operation-requires-restart":true}},"step-2":{"outcome":"success"}},"response-headers":{"process-state":"restart-required"}}},"server-two":{"host":"master","response":{"outcome":"success","result":{"step-1":{"outcome":"success","response-headers":{"operation-requires-restart":true}},"step-2":{"outcome":"success"}},"response-headers":{"process-state":"restart-required"}}}}}},"server-groups":{"main-server-group":{"server-one":{"host":"master","response":{"outcome":"success","result":{"step-1":{"outcome":"success","response-headers":{"operation-requires-restart":true}},"step-2":{"outcome":"success"}},"response-headers":{"process-state":"restart-required"}}},"server-two":{"host":"master","response":{"outcome":"success","result":{"step-1":{"outcome":"success","response-headers":{"operation-requires-restart":true}},"step-2":{"outcome":"success"}},"response-headers":{"process-state":"restart-required"}}}}}}>., rolled-back=false

I used EAP6 ER1, they probably changed response message format.
Comment 9 Heiko W. Rupp 2012-02-29 10:52:56 EST
master    37eea22e7b7
release-4.3.0.GA   8471ffb070e6a
Comment 10 Libor Zoubek 2012-03-05 15:16:13 EST
Hi Heiko, 

I am not sure whether it is required or not, but I found out we're missing handling system properties at managed host level as it is described here https://community.jboss.org/wiki/JBossAS7SystemProperties. Currently on master there is no 'Configuration' tab on managed server resource.
Comment 11 Libor Zoubek 2012-04-01 11:28:27 EDT
Editing system-property (called prop) for standalone mode (EAP6 Beta1) started to fail - on 4.4 master f537827

{JBAS014653: Composite operation failed and was rolled back. Steps that failed:={Operation step-1=JBAS014792: Unknown attribute boot-time}}, rolled-back=true
Comment 12 Heiko W. Rupp 2012-04-02 08:39:51 EDT
Beta 1 is too old. Please try with ER4.1

[domain@localhost:9999 /] ./system-property=foo:read-operation-description(name=add)
{
    "outcome" => "success",
    "result" => {
        "operation-name" => "add",
        "description" => "Adds a system property or updates an existing one.",
        "request-properties" => {
            "value" => {
                "type" => STRING,
                "description" => "The value of the system property.",
                "required" => false,
                "nillable" => true
            },
            "boot-time" => {
                "type" => STRING,
                "description" => "If true the system property is passed on the command-line to the started server jvm. If false, it will be pushed to the server as part of the startup sequence.",
                "required" => false,
                "nillable" => true,
                "default" => true
            }
        },
        "reply-properties" => {},
        "read-only" => false
    }
}
Comment 13 Libor Zoubek 2012-04-02 15:04:49 EDT
Editing system-property (called prop) for standalone mode (EAP6 ER4.1) still fails - Build Number: 04f2ffc

result is:

{JBAS014653: Composite operation failed and was rolled back. Steps that
failed:={Operation step-1=JBAS014792: Unknown attribute boot-time}},
rolled-back=true
Comment 14 Libor Zoubek 2012-04-17 03:25:17 EDT
Adding a system property fails for Managed server
EAP6 ER5
Version: 4.4.0-SNAPSHOT
Build Number: 0fe1b14

When saving new configuration, I get: 

{domain-failure-description={JBAS014653: Composite operation failed and was rolled back. Steps that failed:={Operation step-2=JBAS014792: Unknown attribute jmv}}}, rolled-back=true
Comment 15 Heiko W. Rupp 2012-04-17 05:09:37 EDT
master 3e9a571

This was caused because of JVM selection not working as it was before. See Bug 813214
Comment 16 Libor Zoubek 2012-04-23 04:41:23 EDT
Editing system-property (called prop) for standalone mode (EAP6 ER5) still
fails - Build Number: 28e565c

result is:

{JBAS014653: Composite operation failed and was rolled back. Steps that
failed:={Operation step-1=JBAS014792: Unknown attribute boot-time}},
rolled-back=true
Comment 17 Heiko W. Rupp 2012-04-24 08:40:33 EDT
boot time flag does not exist on standalone servers.
Made the type boolean 

master 58dd8873d89
Comment 18 Libor Zoubek 2012-04-25 07:20:51 EDT
Build Number: 5ffafd2
There are still issues with system properties:

1. Adding system property on Standalone level works fine, but, it is ignored property name. After I add property called 'prop' with value 'val' and save configuration suddenly property is called 'value'. An attempt to add 2nd property (called 'prop2')results in having 2 properties called 'value' in UI but properties 'value' and 'prop2' on EAP. And 'boot-time' attribute still appears in UI.

2. Adding a system property started to fail on domain mode

{domain-failure-description={JBAS014653: Composite operation failed and was rolled back. Steps that failed:={Operation step-1=JBAS014688: Wrong type for boot-time. Expected [BOOLEAN] but was STRING}}}, rolled-back=true

3. On Domain Controller level java.net.preferIPv4Stack (which is defined by default) is no longer shown in UI, instead UI shows property called 'value'


A Mixture of above happens on managed server level - Adding one property results to presenting its name as 'value' when adding 2nd property I get same error as 2.
Comment 19 Libor Zoubek 2012-04-25 07:25:02 EDT
Oh .. sorry,  5ffafd2 is older than your last push, please ignore Comment 18
Comment 20 Libor Zoubek 2012-04-25 08:23:30 EDT
<pilhuhn> lzoubek no, I also see that now. This was no issue a few days ago
Comment 21 Heiko W. Rupp 2012-04-25 09:20:21 EDT
This was caused by commit 828678db
and is reverted now

master c17fb14
Comment 22 Heiko W. Rupp 2013-08-31 06:10:59 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.